function [erg] = decryptmatrix(text,matrix)

erg=[];

%Test Eingaben
if (nargin<1) 
    fprintf('keine Eingabe');
    return 
end

if (nargin<2 || isempty(matrix) || sum(size(matrix) ~= size(matrix')) || det(matrix)==0 )
    matrix = [3 1 4 5; 2 1 1 5; 8 -2 3 -4; -2 -1 -2 -9]^-1;
    fprintf('decryption matrix is '); matrix
end

%Test Sequenzlnge
[m n] = size(text);
[k l] = size(matrix);
if mod(n,l)~=0 
    fprintf('Keine Codierung mit der Matrix mglich, falsche Lnge\n');
    return
end

%Matrixmultiplikation
for i=1:l:n-l+1
    text(i:i+l-1) = matrix * text(i:i+l-1)';
end

%Umwandeln in  Alphabet
alphabet = ['a' : 'z',' ', 'A' : 'Z', '0' : '9', '.', ',', ';', '-']
[m k] = size(alphabet);
zahlen = [1 : k];

ende = n;
epsilon=exp(-10);
while (ende>0 && abs(text(ende))<epsilon)  %Achtung: numerische Gleichheit
    text = text(1:ende-1);
    ende = ende-1;
end

erg ='a'; %Matlab zwingen, Buchstaben auszugeben

for i=1:ende
    for j=1:k
        if (abs(text(i)-zahlen(j))<epsilon)
           erg(i)=alphabet(j);
        end
    end
end
