function trygui

h0 = figure('Units','points', ...                % Fenster-Einstellungen
    'Position',[100 100 300 100], ...
    'NumberTitle','off', ...                     % Kein "Figure" in Titelzeile
    'Name','Beispiel fr GUI', ...               % Titelzeile des Fensters
    'MenuBar','none');                           % Kein Men

hueberschrift = uicontrol('Parent',h0, ...       % Textfeld
    'Units','points', ...
    'Position',[0 70 300 30], ...
    'FontSize',24, ...
    'String','Whrungsrechner', ...
    'Style','text');

% Lnderwahl
Faktor   = 1.2967;                               % Vorbelegung 
Waehrung = 'USD';                                % Vorbelegung

hlaenderwahl = uicontrol('Parent',h0, ...        % Popup-Men
    'Units','points', ...
    'Position',[190 40 90 15], ...
    'BackgroundColor',[1 1 1], ...
    'String',['USA       ';'China     ';'Australien';'Norwegen  '], ...
    'Callback', {@popupmenu_callback}, ...
    'Style','popupmenu', ...
    'Value',1);                                  % Vorbelegung: USA

function popupmenu_callback(source,eventdata,handles)
        Land = get (source, 'Value');
        switch Land case 1, Faktor = 1.2967; Waehrung = 'USD';
                    case 2, Faktor = 10.057; Waehrung = 'CNY';
                    case 3, Faktor = 1.6739; Waehrung = 'AUD';
                    case 4, Faktor = 8.1237; Waehrung = 'NOK'; 
        end;
        set (hwaehrungland, 'String', Waehrung);
end
    
% Wert in Euro

hwerteuro = uicontrol('Parent',h0, ...           % Eingabefeld
    'Units','points', ...
    'Position',[20 13 60 15], ...
    'BackgroundColor',[1 1 1], ...
    'String','    1', ...
    'Style','edit');

hwaehrungeuro = uicontrol('Parent',h0, ...       % Textfeld
    'Units','points', ...
    'Position',[80 13 30 15], ...
    'String','EUR', ...
    'Style','text');

% Wert in Landeswhrung

hwertland = uicontrol('Parent',h0, ...           % Eingabefeld
    'Units','points', ...
    'Position',[190 13 60 15], ...
    'BackgroundColor',[1 1 1], ...
    'String','    0.00', ...                     % Vorbelegung
    'Style','edit');

hwaehrungland = uicontrol('Parent',h0, ...       % Textfeld (Ausgabe)
    'Units','points', ...
    'Position',[250 13 30 15], ...
    'String','USD', ...                          % Vorbelegung
    'Style','text');

% Umrechnung

uicontrol('Parent',h0, ...                  
    'Units','points', ...
    'Position',[130 36 40 20], ...
    'Callback', {@pushbutton1_callback}, ...
    'Style','pushbutton', ...
    'String','===>');
    
function pushbutton1_callback(source,eventdata,handles)
    Wert_Euro = str2double(get(hwerteuro,'String')); ...    
    Wert_Land = Wert_Euro * Faktor; ...
    set (hwertland, 'String', Wert_Land);, ...
    set (hwaehrungland, 'String', Waehrung);
end
    
uicontrol('Parent',h0, ...                  
    'Units','points', ...
    'Position',[130 10 40 20], ...
    'Callback', {@pushbutton2_callback}, ...
    'Style','pushbutton', ...
    'String','<===');

function pushbutton2_callback(source,eventdata,handles)
    Wert_Land = str2double(get(hwertland,'String'));, ...    
    Wert_Euro = Wert_Land / Faktor; ...
    set (hwerteuro,'String', Wert_Euro); ...
    set (hwaehrungland, 'String', Waehrung);
end

end
